@UTF-8;

:root {
	--scaling-factor: 1;
}

@media (min-width:721px) {
	:root {
		--scaling-factor: 1.5;
	}
}

@media (max-width:1280px) {
	html {
		width: 100%;
		height: 100%;
	}

	body {
		height: 100%;
	}

	#header {
		height: calc(100vh / 10);
	}

	#video-view-logo {
		height: 90%;
		width: auto;
	}

	section[data-mode] {
		height: 100%;
	}
	
	section[data-id="newsticker"] {
		height: 10vh;
		line-height: 10vh;
	}
	
	section[data-id="newsticker"] * {
		font-size: calc(21px * var(--scaling-factor));
	}
	
	.entry-wrapper-inner {
		font-size: calc(40px * var(--scaling-factor));
	}
	
	[data-id="visitors_text"] {
		font-size: calc(20px * var(--scaling-factor));
	}
	
	
	[data-id="clock"] [data-id="date"] {
		font-size: calc(16px * var(--scaling-factor));
	}
	
	[data-id="clock"] [data-id="time"] {
		font-size: calc(50px * var(--scaling-factor));
		margin-left: calc(20px * var(--scaling-factor));
	}
	
	section[data-id="trainer-message"] {
		bottom: 6vh;
		font-size: calc(16px * var(--scaling-factor));
	}
	
	#videos-container .remote video {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		width: 100% !important;
		height: auto !important;
		max-width: initial;
		max-height: initial;
	}

	.splashscreen {
		height: 100%;
	}
	
	.splashscreen p {
		font-size: calc(17px * var(--scaling-factor));
	}

	[data-id="permission-modal"] {
		height: 100%;
	}
	
	.permissions-text {
		font-size: calc(17px * var(--scaling-factor));
	}
	
	.btn-sos {
/* 	    display: initial !important; */
		display: none;
	    bottom: 10vh;
	    left: calc(20px * var(--scaling-factor));
	    font-size: calc(17px * var(--scaling-factor));
	    padding: calc(12px * var(--scaling-factor)) calc(8px * var(--scaling-factor));
	}
	
	.btn-sos:before {
		border-width: calc(15px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor));
	}
	
	.btn-sos:after {
	    font-size: calc(13px * var(--scaling-factor));
	    padding: calc(4px * var(--scaling-factor)) calc(17px * var(--scaling-factor));
	}
	
	body.live #videos-container .remote {
		height: 100%;
	}

	body.live #update-btn-call {
/* 	    display: initial !important; */
	    bottom: 10vh;
	    right: calc(20px * var(--scaling-factor));
	    font-size: calc(17px * var(--scaling-factor));
	    padding: calc(11px * var(--scaling-factor)) calc(13px * var(--scaling-factor)) calc(6px * var(--scaling-factor));
	}
	
	body #update-btn-call i {
		font-size: calc(30px * var(--scaling-factor));
	}
	
	body.live #update-btn-call:before {
		border-width: calc(15px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor));
	}
	
	body.live #update-btn-call:after {
	    font-size: calc(13px * var(--scaling-factor));
	    padding: calc(4px * var(--scaling-factor)) calc(17px * var(--scaling-factor));
	}
	
	[data-id="btn-hangup"] {
	    bottom: 10vh;
	    right: calc(20px * var(--scaling-factor));
	    font-size: calc(17px * var(--scaling-factor));
	    padding: calc(11px * var(--scaling-factor)) calc(13px * var(--scaling-factor)) calc(6px * var(--scaling-factor));
	}
	
	[data-id="btn-hangup"] i {
		font-size: calc(30px * var(--scaling-factor));
	}
	
	[data-id="btn-hangup"]:before {
		border-width: calc(15px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor));
	}
	
	[data-id="btn-hangup"]:after {
	    font-size: calc(13px * var(--scaling-factor));
	    padding: calc(4px * var(--scaling-factor)) calc(17px * var(--scaling-factor));
	}
	
	#waiting {
		height: 100%;
	}

	#waiting div {
		font-size: calc(35px * var(--scaling-factor));
	}
	
	[data-id="btn-not_calling"] {
	    bottom: 10vh;
	    right: calc(20px * var(--scaling-factor));
	    font-size: calc(17px * var(--scaling-factor));
	    padding: calc(11px * var(--scaling-factor)) calc(13px * var(--scaling-factor)) calc(6px * var(--scaling-factor));
	}
	
	[data-id="btn-not_calling"] i {
		font-size: calc(30px * var(--scaling-factor));
	}
	
	[data-id="btn-not_calling"]:before {
		border-width: calc(15px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor)) calc(10px * var(--scaling-factor));
	}
	
	[data-id="btn-not_calling"]:after {
	    font-size: calc(13px * var(--scaling-factor));
	    padding: calc(4px * var(--scaling-factor)) calc(17px * var(--scaling-factor));
	}
	
	.signature {
		width: 100%;
		height: 100%;
	}

	.paint-canvas-tools button {
		margin: 25px 10px;
	}

	.pdf_iframe_container {
		width: 100%;
		height: 100%;
	}

	.alertscreen {
		width: 100%;
		height: 100%;
	}

	.news_iframe_container {
		width: 100%;
		height: 100%;
	}

	#html5_reader {
		background-color: var(--color-background-body);
	}
	
	#html5_reader video {
		position: absolute;
		top: 50%;
		transform: rotateY(180deg) translateY(-50%);
	}

	#qr-shaded-region {
		border-width: 90.5px 210px !important;
	}
	
	#qr-shaded-region > div:nth-child(3) {
		top: 299px !important;
	}
	
	#qr-shaded-region > div:nth-child(4) {
		top: 299px !important;
	}
	
	#qr-shaded-region > div:nth-child(6) {
		top: 259px !important;
	}
	
	#qr-shaded-region > div:nth-child(8) {
		top: 259px !important;
	}
	
	#qr_header {
		top: 5vh;
		font-size: 18px;
	}
	
	#qr_footer {
		bottom: 2vh;
		font-size: 12px;
	}
	
	#stats canvas {
		width: calc(80px * 2) !important;
	    height: calc(48px * 2) !important;
	}
}

@media (min-width:721px) {
	#qr-shaded-region > div:nth-child(3) {
		top: 539px !important;
	}
	
	#qr-shaded-region > div:nth-child(4) {
		top: 539px !important;
	}
	
	#qr-shaded-region > div:nth-child(6) {
		top: 499px !important;
	}
	
	#qr-shaded-region > div:nth-child(8) {
		top: 499px !important;
	}
}